Bug 4208 - Investigate the possibilities to use PackageKit for package installation
Summary: Investigate the possibilities to use PackageKit for package installation
Status: ASSIGNED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: Server Installer (show other bugs)
Version: 3.3.0
Hardware: PC Unknown
: P2 Normal
Target Milestone: LowPrio
Assignee: Henrik Andersson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-15 10:31 CET by Henrik Andersson
Modified: 2021-05-04 09:55 CEST (History)
0 users

See Also:
Acceptance Criteria:


Attachments
packagekit prototype (11.05 KB, text/x-python)
2012-02-27 14:24 CET, Henrik Andersson
Details

Description Henrik Andersson cendio 2012-02-15 10:31:23 CET

    
Comment 1 Henrik Andersson cendio 2012-02-20 07:45:23 CET
After alot of struggling with upstream python wrapper which had alot
of incompleteness in its implementation which also seemed to be
discontinued upstream which affects our approach.

We need to implement a wrapper by our self around PackageKit dbus 
interface for interfacing with PackageKit service, some parts can
be ripped from the "incomplete" python wrapper tho.
Comment 2 Henrik Andersson cendio 2012-02-21 10:06:56 CET
To use PackageKit as the package installer the system needs 
to provide dbus, dbus python wrapper, packagekit + dist specific 
package manager backend, depending of what kind of installation 
the preinstallation of this packages varies.

Here follows a summarization of different installations:

rhel 6.2 server - minimal installation
-------------------------------------------------------
dbus-python-0.83.0


rhel 6.2 server - basic installation
-------------------------------------------------------
dbus-1.2.24, dbus-python-0.83


rhel 6.2 server - desktop installation
-------------------------------------------------------
PackageKit-0.5.8, dbus-1.2.24, dbus-python-0.83.0


sles11 sp1 - normal installation
-------------------------------------------------------
PackageKit-0.3.14, dbus-1-1.2.10, dbus-1-python-0.83.0


ubuntu 12.04 server alpha2
-------------------------------------------------------
dbus-1.3, python-dbus-1.0
Comment 3 Henrik Andersson cendio 2012-02-23 10:19:02 CET
I have tested my pkgkit prototype on tl.cendio.se within a thinlincsession,
works if executed as root, however the polkit dbus authentication mechanism 
fails without notice and execution as normal user doesn't bring up a "auth" dialog.
Comment 4 Henrik Andersson cendio 2012-02-27 14:24:20 CET
Created attachment 427 [details]
packagekit prototype
Comment 5 Henrik Andersson cendio 2012-02-27 14:26:38 CET
Moving this bug to future due to that the different distributions does not have this as default in basic installation level, hopefully  this is true for the future and we can then revisit the work done on this bug.
Comment 6 Pierre Ossman cendio 2021-05-04 09:55:35 CEST
PackageKit is in some weird limbo right now. It is the backend that GNOME Software uses, so it's fairly well used. However the PackageKit developer considers it abandoned and is focusing his efforts on Flatpak right now.

Note You need to log in before you can comment on or make changes to this bug.